Skip to main content
POST
Get Asset Upload Part URLs

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Path Parameters

asset_id
string
required

Unique asset identifier

Body

application/json

Presigned URLs for these parts (POST /v3/assets/{asset_id}/parts).

multipart_upload_id
string
required

From the create response.

Required string length: 1 - 2048
part_numbers
integer[]
required

Part numbers, from 1, at most the plan's part_count.

Required array length: 1 - 200 elements

Response

Successful response

data
MintPartUrlsResponse · object

Presigned part URLs.